[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#417108: FTBFS with GCC 4.3: missing #includes



El domingo, 1 de abril de 2007, Martin Michlmayr escribió:
[...]
>
> You can reproduce this problem with gcc-snapshot from unstable.
>
> > Automatic build of aqsis_1.1.0.20050815-4 on coconut0 by sbuild/ia64 0.49
>
> ...
>
> >  ia64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../libaqsistypes -g -O2 -MT
> > argparse.lo -MD -MP -MF .deps/argparse.Tpo -c argparse.cpp  -fPIC -DPIC
> > -o .libs/argparse.o argparse.cpp: In function 'std::string
> > parseInt(std::string, int*)': argparse.cpp:416: error: 'strtol' was not
> > declared in this scope argparse.cpp: In function 'std::string
> > parseFloat(std::string, double*)': argparse.cpp:428: error: 'strtod' was
> > not declared in this scope make[2]: *** [argparse.lo] Error 1
[...]

	Hello, Martin.  I have seen that i386 does not carry the needed version of 
gcc-snapshot (it has 20061022-1), and I have uploaded a new upstream version 
of aqsis.  Would you be so kind to test it (it has been incorporated in 
today's archive run) and report if the patch is valid yet?

	Thanks in advance,


		Ender.
-- 
To the infinity, and beyond!
		-- Buzz Lightyear (Toy Story).
--
Desarrollador de Debian
Debian developer

Attachment: pgpoXO7nC0p1U.pgp
Description: PGP signature


Reply to: